Subject: Re: bug#28020: [PATCH] gnu: Add emacs-gitpatch.

From: ng0 <[email-masked]>
Date: Thu, 10 Aug 2017 12:06:12 +0000

Arun Isaac transcribed 0.7K bytes:
> 
> Thanks for the patch! I have pushed it with changes to the synopsis and
> description.
> 
> Oleg Pykhalov writes:
> 
> > By the way, “gitpatch.el” says different version than release tarball.
> > Do I need to ask a developer?
> > --8<---------------cut here---------------start------------->8---
> > ;; Author: Feng Shu <[email-masked]>
> > ;; Homepage: https://github.com/tumashu/gitpatch
> > ;; Keywords: convenience
> > ;; Package-Requires: ((emacs "24.3"))
> > ;; Version: 0.10
> > --8<---------------cut here---------------end--------------->8---
> 
> Yes, please report this problem upstream. I have also CCed the author in
> this thread. The author happens to contribute to Guix as well. :-)
> 
> 
> 
> 

commit 1ee879e96705e6381c056358b7f426f2cf99c1df
Author: Oleg Pykhalov <[email-masked]>
Date:   Tue Aug 8 21:02:32 2017 +0300

    gnu: Add emacs-gitpatch.

    By the way, “gitpatch.el” says different version than release tarball.
    Do I need to ask a developer?
    --8<---------------cut here---------------start------------->8---
    ;; Author: Feng Shu <[email-masked]>
    ;; Homepage: https://github.com/tumashu/gitpatch
    ;; Keywords: convenience
    ;; Package-Requires: ((emacs "24.3"))
    ;; Version: 0.10
    --8<---------------cut here---------------end--------------->8---

    >From 9eddf07fa401468738c2f48a25e51ddef2a3ceed Mon Sep 17 00:00:00 2001
    From: Oleg Pykhalov <[email-masked]>
    Date: Sat, 29 Jul 2017 14:22:48 +0300
    Subject: [PATCH] gnu: Add emacs-gitpatch.

    * gnu/packages/emacs.scm (emacs-gitpatch): New variable.

    Signed-off-by: Arun Isaac <[email-masked]>

I appreciate the concerns, but
I don't think the complete paragraph of "By the way…" should be in the
commit message. Please place notes like this as "XXX: ..." or "TODO: ..."
in the code if possible.
Or is there any reason why this landed in the commit message?
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org